Bug 972951 - CVE-2013-0167 vdsm: unfiltered guestInfo dictionary DoS [fedora-all]
CVE-2013-0167 vdsm: unfiltered guestInfo dictionary DoS [fedora-all]
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vdsm (Show other bugs)
20
All Linux
medium Severity medium
: ---
: ---
Assigned To: Vinzenz Feenstra [evilissimo]
Fedora Extras Quality Assurance
virt
: Security, SecurityTracking
Depends On:
Blocks: CVE-2013-0167
  Show dependency treegraph
 
Reported: 2013-06-10 17:52 EDT by Vincent Danen
Modified: 2014-02-04 07:25 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-04 07:25:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2013-06-10 17:52:45 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Vincent Danen 2013-06-10 17:52:57 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=893332,972951
Comment 2 Fedora End Of Life 2013-12-21 08:56:54 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Vincent Danen 2013-12-24 11:45:02 EST
I have absolutely no idea if Fedora has a a fixed version of this.  I took a look on the ovirt site and can't find anything related to security so I could look quickly, and the primary bug doesn't indicate which upstream version corrects this.

I'd like to say it's fixed, but I don't know (and the changelog for vdsm doesn't really say much either).

So I'm bumping this.  Please feel free to resolve this bug if it has in fact been fixed in Fedora.  (I suspect it is, but I'm erring on the side of caution)
Comment 4 Vinzenz Feenstra [evilissimo] 2014-02-04 07:25:28 EST
All versions of VDSM with a higher version than 4.11 have the fix incorporated

Currently the lowest available version is 4.13

Note You need to log in before you can comment on or make changes to this bug.